
import com.imsl.math.*;

public class QuadratureEx4 {

    public static void main(String args[]) {
        final double a = 1.0e4;

        Quadrature.Function fcn = new Quadrature.Function() {
            public double f(double x) {
                return Math.cos(a * x);
            }
        };

        Quadrature q = new Quadrature();
        q.setRule(6);
        q.setRelativeError(1.e-10);
        double result = q.eval(fcn, 0.0, 1.0);

        double expect = Math.sin(a) / a;
        System.out.println("result = " + result);
        System.out.println("expect = " + expect);
        System.out.println("relative error = " + (expect - result) / expect);
        System.out.println("relative error estimate = " + q.getErrorEstimate());
    }
}
